(function() {
    'use strict';

    angular.module('wemApp.components').directive('wemDtPager', wemDtPager);

    function wemDtPager() {
        return {
            restrict: 'E',
            templateUrl: ManagersContext.wemAppPath + '/components/wem-dt-pager.directive.html',
            controller: WemDtPagerController
        }
    }

    WemDtPagerController.$inject = ['$scope', 'dtPagerService'];

    function WemDtPagerController($scope, dtPagerService) {
        $(document).on('length.dt', function (event) {
            dtPagerService.refreshPager($scope);
        });

        $scope.$watch('dtInstance', function (val) {
            if (val) {
                dtPagerService.refreshPager($scope);
            }
        });
    }
})();