(function() {
    'use strict';

    angular.module('wemApp.components').directive('wem-page-head', wemPageHead);

    wemPageHead.$inject = ['$window'];

    function wemPageHead($window) {
        return {
            restrict: 'C',
            scope: {
                headerShadow: '@'
            },
            link: linkFunc
        };

        function linkFunc(scope, element, attrs) {
            angular.element($window).bind("scroll", function () {
                if (this.pageYOffset > (scope.headerShadow ? scope.headerShadow : 0)) {
                    element.addClass("wem-page-head-shadow");
                } else {
                    element.removeClass("wem-page-head-shadow");
                }
            });
        }
    }
})();