(function() {
    'use strict';

    angular.module('wemApp.components').controller("SegmentConditionController", SegmentConditionController);

    SegmentConditionController.$inject = ['$scope', 'unomiSegmentService'];

    function SegmentConditionController($scope, unomiSegmentService) {
        unomiSegmentService.getAll().then(function (response) {
            var segments = _.reject(response.data, function (segment) {
                return segment.scope != 'systemscope' && segment.scope != ManagersContext.dmfScope;
            });
            $scope.segmentsChoiceListValues = segments;
        });
    }
})();