(function() {
    'use strict';
    angular.module('wemOptimizationDashboardApp').config(wemOptimizationDashboardAppConfig);

    wemOptimizationDashboardAppConfig.$inject = ['$routeProvider'];

    function wemOptimizationDashboardAppConfig($routeProvider) {
        $routeProvider
            .when('/optimization-dashboard', {
                templateUrl: ManagersContext.wemAppPath + '/wem-optimization-test/dashboard/optimization-dashboard.html',
                controller: 'OptimizationDashboardController'
            })
            .otherwise({
                redirectTo: angular.isDefined(ManagersContext.wemDefaultRoute) ? ('/' + ManagersContext.wemDefaultRoute) : '/optimization-dashboard'
            });
    }
})();
