(function() {
    'use strict';

    angular.module('wemPersonalizationDashboardApp').config(wemPersonalizationDashboardAppConfig);

    wemPersonalizationDashboardAppConfig.$inject = ['$routeProvider'];

    function wemPersonalizationDashboardAppConfig($routeProvider) {
        $routeProvider
            .when('/personalization-dashboard', {
                templateUrl: ManagersContext.wemAppPath + '/wem-personalization/dashboard/personalization-dashboard.html',
                controller: 'PersonalizationDashboardController'
            })
            .otherwise({
                redirectTo: angular.isDefined(ManagersContext.wemDefaultRoute) ? ('/' + ManagersContext.wemDefaultRoute) : '/personalization-dashboard'
            });
    }
})();