wemEditToolbar = {
    data: {},

    next: function (id) {
        if (this.data[id].total == 1) return;
        this.data[id].current = (this.data[id].current + 1 < this.data[id].total) ? this.data[id].current + 1 : 0;
        this.view(id)
    },
    previous: function (id) {
        if (this.data[id].total == 1) return;
        this.data[id].current = this.data[id].current > 0 ? this.data[id].current - 1 : this.data[id].total - 1;
        this.view(id)
    },
    view: function (id) {
        var nodeList = document.getElementsByClassName('wemEditToolbarParent' + id);
        for (var i = 0; i < nodeList.length; i++) {
            var el = nodeList.item(i);
            el.style.display = 'none';
        }
        document.getElementById('wemEditToolbarContent' + id + this.data[id].current).style.display = '';
        document.getElementById('wemEditToolbarCount' + id).innerText = '' + (this.data[id].current + 1) + '/' + this.data[id].total;
        document.getElementById('wemEditToolbarLabel' + id).innerText  = this.data[id].names[this.data[id].current];
    },

    addData:function(id,name) {
        if (typeof(this.data[id]) == 'undefined') {
            this.data[id] = {
                total:0,
                current:0,
                names:[]
            }
        }
        this.data[id].total ++;
        this.data[id].names.push(name);
    }
};