(function() {
    'use strict';

    angular.module('wemApp.components').controller('SendMailActionController', SendMailActionController);

    SendMailActionController.$inject = ['i18nService'];

    function SendMailActionController(i18nService) {

        var vm = this;

        vm.setParentRef = setParentRef;

        // public functions

        function setParentRef(parentRef) {
            vm.parentRef = parentRef;
            _init();
        }

        // private functions

        function _init() {
            if (!vm.parentRef.parameterValues.template) {
                vm.parentRef.parameterValues.template = 'Hello $profile.properties.("firstName")$ $profile.properties.("lastName")$,\nHow are you doing today?';
            }
        }

    }
})();