(function() {
    'use strict';
    // Todo: replace by angular material messages
    angular.module('wemApp.components').directive('wemLettersOrNumbersOnly', wemLettersOrNumbersOnly);

    function wemLettersOrNumbersOnly() {
        return {
            require: 'ngModel',
            link: linkFunc
        };

        function linkFunc(scope, element, attrs, ctrl) {
            var validate = function (viewValue) {
                ctrl.$setValidity('lettersOrNumbersOnly', new RegExp("^[A-Za-z0-9]+$").test(viewValue));
                return viewValue;
            };
            ctrl.$parsers.unshift(validate);
            ctrl.$formatters.push(validate);

            attrs.$observe('lettersOrNumbersOnly', function (comparisonModel) {
                // Whenever the comparison model changes we'll re-validate
                return validate(ctrl.$viewValue);
            });

        }
    }
})();